Subject: bug#10960: linum-mode does not work properly when changing font size

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Mar 2012 21:35:46 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 11 Mar 2012 21:54:09 -0400
> 
> > I didn't suggest to do this in Lisp.  (I don't think Lisp programs
> > should control the display at this low level.)  What I suggested is to
> > modify the calculation of the fringe pixel position based on how many
> > pixels are actually needed for the glyphs (character glyphs, stretch
> > glyphs, image glyphs, etc.) displayed in the fringe.  Isn't that what
> > you wanted?
> 
> If we can do that, it's great, yes.

I'll see what this would take when I have time.  I'm afraid we will
have to leave for post-24.1, though, as the changes will probably be
non-trivial enough.